## NOTE Please ask before touching  - thanks ;) [barjac]
%define dname           Harbour
%define major           3
%define release         2
%define debug_packages  %{nil}
%define debug_package   %{nil}
%define _noautoreq     'libharbour.*'
# This is provided in the tarball name, derived
# from Core svn revision and QtContribs svn revision.
%define rev             18748_111

# define what is included in build (1) or not (0) here - useful for testing
# when allocating unpackaged files to correct packages etc.
%define _with_allegro   1
%define _with_cairo     1
%define _with_cups      1
%define _with_curl      1
%define _with_freeimage 1
%define _with_firebird  1
%define _with_gd        1
%define _with_mysql     1
%define _with_odbc      1
%define _with_pgsql     1
%define _with_qt        1
# (note hbide requires qt)
%define _with_hbide     1

#---------------------------------------------------------------

%define _with_jpeg      1
%define _with_localpcre 1
%define _with_localzlib 1

# Undefine defines set to 0 above to allow use of %%{?_with_foo:bar} style conditionals
%if ! %{_with_allegro}
%undefine _with_allegro
%endif
%if ! %{_with_cairo}
%undefine _with_cairo
%endif
%if ! %{_with_cups}
%undefine _with_cups
%endif
%if ! %{_with_curl}
%undefine _with_curl
%endif
%if ! %{_with_freeimage}
%undefine _with_freeimage
%endif
%if ! %{_with_firebird}
%undefine _with_firebird
%endif
%if ! %{_with_gd}
%undefine _with_gd
%endif
%if ! %{_with_mysql}
%undefine _with_mysql
%endif
%if ! %{_with_odbc}
%undefine _with_odbc
%endif
%if ! %{_with_pgsql}
%undefine _with_pgsql
%endif
%if ! %{_with_qt}
%undefine _with_qt
%endif
%if ! %{_with_hbide}
%undefine _with_hbide
%endif
%if ! %{_with_jpeg}
%undefine _with_jpeg
%endif
%if ! %{_with_localpcre}
%undefine _with_localpcre
%endif
%if ! %{_with_localzlib}
%undefine _with_localzlib
%endif

# define libnames
%define libharbour      %mklibname %{name} %{major}
# dev_* are now for obsoletes only
%define devharbour      %mklibname %{name} -d -s

%define dev_contrib     %mklibname %{name}-contrib -d -s
%define libcontrib      %mklibname %{name}-contrib %{major}

%if %{defined _with_allegro}
%define dev_allegro     %mklibname %{name}-allegro -d -s
%define liballegro      %mklibname %{name}-allegro %{major}
%endif
%if %{defined _with_cairo}
%define dev_cairo       %mklibname %{name}-cairo -d -s
%define libcairo        %mklibname %{name}-cairo %{major}
%endif
%if %{defined _with_cups}
%define dev_cups        %mklibname %{name}-cups -d -s
%define libcups         %mklibname %{name}-cups %{major}
%endif
%if %{defined _with_curl}
%define dev_curl        %mklibname %{name}-curl -d -s
%define libcurl         %mklibname %{name}-curl %{major}
%endif
%if %{defined _with_firebird}
%define dev_firebird   %mklibname %{name}-firebird -d -s
%define libfirebird    %mklibname %{name}-firebird %{major}
%endif
%if %{defined _with_freeimage}
%define dev_freeimage  %mklibname %{name}-freeimage -d -s
%define libfreeimage   %mklibname %{name}-freeimage %{major}
%endif
%if %{defined _with_gd}
%define dev_gd         %mklibname %{name}-gd -d -s
%define libgd          %mklibname %{name}-gd %{major}
%endif
%if %{defined _with_mysql}
%define dev_mysql      %mklibname %{name}-mysql -d -s
%define libmysql       %mklibname %{name}-mysql %{major}
%endif
%if %{defined _with_odbc}
%define dev_odbc       %mklibname %{name}-odbc -d -s
%define libodbc        %mklibname %{name}-odbc %{major}
%endif
%if %{defined _with_pgsql}
%define dev_pgsql      %mklibname %{name}-pgsql -d -s
%define libpgsql       %mklibname %{name}-pgsql %{major}
%endif
%if %{defined _with_qt}
%define dev_qt         %mklibname %{name}-qt -d -s
%define libqt          %mklibname %{name}-qt %{major}
%endif

# define harbour build env
%define hb_prefix      export HB_INSTALL_PREFIX=%{buildroot}%{_usr}
%define hb_plat        export HB_PLATFORM=linux
%define hb_cc          export HB_COMPILER=gcc
%define hb_cflag       export HB_USER_CFLAGS=-fPIC
%define hb_lflag       export HB_USER_LDFLAGS=
%define hb_dflag       export HB_USER_DFLAGS=
%define shl_path       export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+${LD_LIBRARY_PATH}:}`pwd`/lib/${HB_PLATFORM}/${HB_COMPILER}${HB_BUILD_NAME}
%define hb_gpm         export HB_WITH_GPM=%{!?_without_gpm:yes}%{?_without_gpm:no}
%define hb_crs         export HB_WITH_CURSES=yes
%define hb_sln         export HB_WITH_SLANG=yes
%define hb_x11         export HB_WITH_X11=yes
%define hb_local       export HB_WITH_ZLIB=%{?_with_localzlib:local} ; export HB_WITH_PCRE=%{?_with_localpcre:local}
%define hb_proot       export HB_INSTALL_PKG_ROOT=%{buildroot}
%define hb_bdir        export HB_INSTALL_BIN=%{buildroot}%{_bindir}
%define hb_idir        export HB_INSTALL_INC=%{buildroot}%{_includedir}/%{name}
%define hb_ldir        export HB_INSTALL_LIB=%{buildroot}%{_libdir}
%define hb_ddir        export HB_INSTALL_DYN=%{buildroot}%{_libdir}
%define hb_edir        export HB_INSTALL_ETC=%{buildroot}%{_sysconfdir}/%{name}
%define hb_mdir        export HB_INSTALL_MAN=%{buildroot}%{_mandir}
%define hb_tdir        export HB_INSTALL_DOC=%{buildroot}%{_docdir}/%{name}
%define hb_blds        export HB_BUILD_STRIP=all
%define hb_bldsh       export HB_BUILD_SHARED=yes
%define hb_cmrc        export HB_BUILD_NOGPLLIB=%{?_without_gpllib:no}
%define hb_dyn         export HB_BUILD_CONTRIB_DYN=yes
%define hb_ctrb        export HB_BUILD_CONTRIBS="hbamf hboslib hbtinymt hbtest hbxdiff hbblink hbct hbgt hbmisc hbmzip hbbz2 hbnetio hbtip hbtpathy hbcomm hbhpdf hbziparc hbfoxpro hbsms hbfship hbxpp xhb rddbm rddsql hbsqlit3 sddsqlt3 hbnf hbhttpd hbformat hbunix hbzebra hblzf hbmemio hbmlzo hbmxml hbexpat hbrun %{?_with_allegro:gtalleg} %{?_with_cairo:hbcairo} %{?_with_cups:hbcups} %{?_with_curl:hbcurl} %{?_with_freeimage:hbfimage} %{?_with_gd:hbgd} %{?_with_firebird:hbfbird sddfb} %{?_with_mysql:hbmysql sddmy} %{?_with_odbc:hbodbc sddodbc} %{?_with_pgsql:hbpgsql sddpg} %{?_with_qt:hbqt hbxbp} %{?_with_hbide:hbide}"
%define hb_qtctrb      export HB_BUILD_ADDONS="%{?_with_qt:hbqt hbxbp} %{?_with_hbide:hbide}"
%define hb_env         %{hb_prefix} ; %{hb_plat} ; %{hb_cc} ; %{hb_cflag} ; %{hb_lflag} ; %{hb_dflag} ; %{shl_path} ; %{hb_gpm} ; %{hb_crs} ; %{hb_sln} ; %{hb_x11} ; %{hb_local} ; %{hb_proot} ; %{hb_bdir} ; %{hb_idir} ; %{hb_ldir} ; %{hb_ddir} ; %{hb_edir} ; %{hb_mdir} ; %{hb_tdir} ; %{hb_ctrb} ; %{hb_dyn} ; %{hb_cmrc} ; %{hb_blds} ; %{hb_bldsh} ; %{hb_qtctrb}

#---------------------------------
Name:           harbour
Version:        3.2.0
Release:        %mkrel -c %{rev} %{release}
Summary:        Free software Clipper compatible compiler
License:        GPLv2+
Group:          Development/Other
URL:            http://harbour-project.org/
# QtContribs    http://sourceforge.net/p/qtcontribs
# Create tarball from current Harbour svn and QtContribs svn using hb_mk_tar2 script in SOURCES
Source0:        harbour-%{rev}.tar.xz
Source1:        hbide.png
Source2:        hb_mk_tar2
BuildRequires:  gpm-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
%if %{defined _with_allegro}
BuildRequires:  pkgconfig(allegro)
%endif
%if %{defined _with_cairo}
BuildRequires:  pkgconfig(cairo)
%endif
%if %{defined _with_cups}
BuildRequires:  cups-devel
%endif
%if %{defined _with_curl}
BuildRequires:  pkgconfig(libcurl)
%endif
%if %{defined _with_firebird}
BuildRequires:  firebird-devel
%endif
%if %{defined _with_freeimage}
BuildRequires:  freeimage-devel
%endif
%if %{defined _with_gd}
BuildRequires:  gd-devel
%endif
%if %{defined _with_mysql}
BuildRequires:  mariadb-devel
%endif
%if %{defined _with_odbc}
BuildRequires:  unixODBC-devel
%endif
%if %{defined _with_pgsql}
BuildRequires:  postgresql9.1-devel
%endif
%if %{defined _with_qt}
BuildRequires:  pkgconfig(QtWebKit)
%endif

Requires:       %{libharbour} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{devharbour} < %{version}-%{release}

Patch0:         harbour-3.2.0-mga-hbplist.patch

%description
%{dname} is a CA-Cl*pper compatible compiler for multiple platforms. This
package includes a compiler, pre-processor, header files, virtual machine
and documentation.
Features:
Written in ANSI C
Multi-threading, Unicode, scriptable
Full Clipper 5 compatibility
Partial Xbase++ compatibility
Highly compatible with xHarbour fork (via xhb library)
This is a development snapshot.

%package bundle
Summary:        Meta package to install all %{dname} packages in one transaction
Group:          Development/Other
# Conditionals in Requires/Suggests are for test builds
Requires:       %{name} = %{version}-%{release}
Suggests:       %{libcontrib} = %{version}-%{release}
%if %{defined _with_allegro}
Suggests:       %{liballegro} = %{version}-%{release}
%endif
%if %{defined _with_cairo}
Suggests:       %{libcairo} = %{version}-%{release}
%endif
%if %{defined _with_cups}
Suggests:       %{libcups} = %{version}-%{release}
%endif
%if %{defined _with_curl}
Suggests:       %{libcurl} = %{version}-%{release}
%endif
%if %{defined _with_firebird}
Suggests:       %{libfirebird} = %{version}-%{release}
%endif
%if %{defined _with_freeimage}
Suggests:       %{libfreeimage} = %{version}-%{release}
%endif
%if %{defined _with_gd}
Suggests:       %{libgd} = %{version}-%{release}
%endif
%if %{defined _with_hbide}
Suggests:       %{name}-hbide = %{version}-%{release}
%endif
%if %{defined _with_mysql}
Suggests:       %{libmysql} = %{version}-%{release}
%endif
%if %{defined _with_odbc}
Suggests:       %{libodbc} = %{version}-%{release}
%endif
%if %{defined _with_pgsql}
Suggests:       %{libpgsql} = %{version}-%{release}
%endif
%if %{defined _with_qt}
Suggests:       %{libqt} = %{version}-%{release}
%endif

%description bundle
%{dname} is a CA-Cl*pper compatible compiler for multiple platforms.
For convenience this package installs all of the %{dname} packages including
all contrib libraries and the Qt based IDE (hbide) in one transaction.

%files bundle

%package -n %{libharbour}
Summary:        Shared runtime libaries for %{dname} compiler
Group:          Development/Other
Provides:       %{_lib}%{name}.so = %{version}-%{release}

%description -n %{libharbour}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} runtime shared libraries for programs
linked dynamically.

# contribs (without external deps)
%package -n %{libcontrib}
Summary:        Contrib libaries for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_contrib} < %{version}-%{release}

%description -n %{libcontrib}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} contrib libraries for program linking.

# contribs (with external deps)
# allegro
%if %{defined _with_allegro}
%package -n %{liballegro}
Summary:        Allegro GT library for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_allegro} < %{version}-%{release}

%description -n %{liballegro}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} Allegro GT library for program linking.
%endif

# cairo
%if %{defined _with_cairo}
%package -n %{libcairo}
Summary:        Cairo library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_cairo} < %{version}-%{release}

%description -n %{libcairo}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} Cairo library for program linking.
%endif

# cups
%if %{defined _with_cups}
%package -n %{libcups}
Summary:        CUPS library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_cups} < %{version}-%{release}

%description -n %{libcups}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} CUPS library for program linking.
%endif

# curl
%if %{defined _with_curl}
%package -n %{libcurl}
Summary:        CURL library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_curl} < %{version}-%{release}

%description -n %{libcurl}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} CURL library for program linking.
%endif

# firebird
%if %{defined _with_firebird}
%package -n %{libfirebird}
Summary:        FireBird library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_firebird} < %{version}-%{release}

%description -n %{libfirebird}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} FireBird library for program linking.
%endif

# freeimage
%if %{defined _with_freeimage}
%package -n %{libfreeimage}
Summary:        FreeImage library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_freeimage} < %{version}-%{release}

%description -n %{libfreeimage}
%{dname} is a Clipper compatible compiler.
This package provides %%{dname} FreeImage library for program linking.
%endif

# gd
%if %{defined _with_gd}
%package -n %{libgd}
Summary:        GD library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_gd} < %{version}-%{release}

%description -n %{libgd}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} GD library for program linking.
%endif

# mysql
%if %{defined _with_mysql}
%package -n %{libmysql}
Summary:        MYSQL library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_mysql} < %{version}-%{release}

%description -n %{libmysql}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} MYSQL library for program linking.
%endif

# odbc
%if %{defined _with_odbc}
%package -n %{libodbc}
Summary:        ODBC library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_odbc} < %{version}-%{release}

%description -n %{libodbc}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} ODBC library for program linking.
%endif

# pgsql
%if %{defined _with_pgsql}
%package -n %{libpgsql}
Summary:        PGSQL library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_pgsql} < %{version}-%{release}

%description -n %{libpgsql}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} PGSQL library for program linking.
%endif

# qt
%if %{defined _with_qt}
%package -n %{libqt}
Summary:        QT library bindings for %{dname} compiler
Group:          Development/Other
Requires:       qt4-devel 
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{dev_qt} < %{version}-%{release}

%description -n %{libqt}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} QT libraries for program linking.
%endif

# hbide
%if %{defined _with_hbide}
%package hbide
Summary:     Integrated Development Environment for %{dname}
Group:       Development/Other
Requires:    %{name} = %{version}-%{release}

%description hbide
HBIDE is an integrated development environment written in %{dname} and HBQt.
%endif

#---------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p0 -b .harbour-3.2.0-mga-hbplist.patch

%build
%{hb_env}
%make

%install
%{hb_env}

# necessary for shared linked hbmk2 used to execute postinst.hbs
export LD_LIBRARY_PATH=$HB_INSTALL_LIB

%make install

rm -fR %{buildroot}%{_sysconfdir}/ld.so.conf.d
find %{buildroot}%{_libdir} -name "*.a" -exec rm -f {} \;

%if %{defined _with_hbide}
mkdir -p %{buildroot}%{_iconsdir}
cp %{SOURCE1} %{buildroot}%{_iconsdir}/

cat > hbide.desktop <<EOF
[Desktop Entry]
Comment[en_GB]=Harbour Integrated Development Environment
Comment=Harbour Integrated Development Environment
Exec=/usr/bin/hbide
GenericName[en_GB]=Harbour IDE
GenericName=Harbour IDE
Icon=hbide
Name[en_GB]=Harbour IDE
Name=Harbour IDE
Categories=Development;IDE;X-Mageia-CrossDesktop;
StartupNotify=true
Terminal=false
Type=Application
EOF
desktop-file-install --dir=%{buildroot}%{_datadir}/applications hbide.desktop
%endif

%files
%{_docdir}/*
%{_datadir}/%{name}/*

%dir %{_sysconfdir}/%{name}
%verify(not md5 mtime) %config %{_sysconfdir}/%{name}/hb-charmap.def
%{_bindir}/contrib.hbr
%{_bindir}/find.hb
%{_bindir}/harbour.ucf
%{_bindir}/harbour
%{_bindir}/hbpp
%{_bindir}/hbtest
%{_bindir}/hbrun
%{_bindir}/hbi18n
%{_bindir}/hbmk2
%{_bindir}/hbmk2.*.hbl
%{_bindir}/3rdpatch.hb
%{_mandir}/man1/*.1*

%dir %{_includedir}/%{name}
%{_includedir}/%{name}/achoice.ch
%{_includedir}/%{name}/assert.ch
%{_includedir}/%{name}/blob.ch
%{_includedir}/%{name}/box.ch
%{_includedir}/%{name}/button.ch
%{_includedir}/%{name}/clipdefs.h
%{_includedir}/%{name}/color.ch
%{_includedir}/%{name}/common.ch
%{_includedir}/%{name}/dbedit.ch
%{_includedir}/%{name}/dbinfo.ch
%{_includedir}/%{name}/dbstruct.ch
%{_includedir}/%{name}/directry.ch
%{_includedir}/%{name}/error.api
%{_includedir}/%{name}/error.ch
%{_includedir}/%{name}/extend.api
%{_includedir}/%{name}/extend.h
%{_includedir}/%{name}/fileio.ch
%{_includedir}/%{name}/filesys.api
%{_includedir}/%{name}/fm.api
%{_includedir}/%{name}/getexit.ch
%{_includedir}/%{name}/gt.api
%{_includedir}/%{name}/harbour.hbx
%{_includedir}/%{name}/hb.ch
%{_includedir}/%{name}/hb_io.h
%{_includedir}/%{name}/hbapi.h
%{_includedir}/%{name}/hbapicdp.h
%{_includedir}/%{name}/hbapicls.h
%{_includedir}/%{name}/hbapicom.h
%{_includedir}/%{name}/hbapidbg.h
%{_includedir}/%{name}/hbapierr.h
%{_includedir}/%{name}/hbapifs.h
%{_includedir}/%{name}/hbapigt.h
%{_includedir}/%{name}/hbapiitm.h
%{_includedir}/%{name}/hbapilng.h
%{_includedir}/%{name}/hbapirdd.h
%{_includedir}/%{name}/hbapistr.h
%{_includedir}/%{name}/hbassert.h
%{_includedir}/%{name}/hbatomic.h
%{_includedir}/%{name}/hbbfish.h
%{_includedir}/%{name}/hbcdpreg.h
%{_includedir}/%{name}/hbchksum.h
%{_includedir}/%{name}/hbclass.ch
%{_includedir}/%{name}/hbcom.ch
%{_includedir}/%{name}/hbcomp.h
%{_includedir}/%{name}/hbcompdf.h
%{_includedir}/%{name}/hbcpage.hbx
%{_includedir}/%{name}/hbdate.h
%{_includedir}/%{name}/hbdbf.h
%{_includedir}/%{name}/hbdbferr.h
%{_includedir}/%{name}/hbdbsort.h
%{_includedir}/%{name}/hbdebug.ch
%{_includedir}/%{name}/hbdefs.h
%{_includedir}/%{name}/hbdyn.ch
%{_includedir}/%{name}/hberrors.h
%{_includedir}/%{name}/hbexprop.h
%{_includedir}/%{name}/hbextcdp.ch
%{_includedir}/%{name}/hbextern.ch
%{_includedir}/%{name}/hbextlng.ch
%{_includedir}/%{name}/hbfloat.h
%{_includedir}/%{name}/hbgfx.ch
%{_includedir}/%{name}/hbgfxdef.ch
%{_includedir}/%{name}/hbgtcore.h
%{_includedir}/%{name}/hbgtinfo.ch
%{_includedir}/%{name}/hbgtreg.h
%{_includedir}/%{name}/hbhash.ch
%{_includedir}/%{name}/hbhash.h
%{_includedir}/%{name}/hbhrb.ch
%{_includedir}/%{name}/hbiniseg.h
%{_includedir}/%{name}/hbinit.h
%{_includedir}/%{name}/hbinkey.ch
%{_includedir}/%{name}/hbjson.h
%{_includedir}/%{name}/hblang.ch
%{_includedir}/%{name}/hblang.hbx
%{_includedir}/%{name}/hblpp.ch
%{_includedir}/%{name}/hbmacro.ch
%{_includedir}/%{name}/hbmacro.h
%{_includedir}/%{name}/hbmath.ch
%{_includedir}/%{name}/hbmath.h
%{_includedir}/%{name}/hbmather.h
%{_includedir}/%{name}/hbmemory.ch
%{_includedir}/%{name}/hbmemvar.ch
%{_includedir}/%{name}/hbmsgreg.h
%{_includedir}/%{name}/hboo.ch
%{_includedir}/%{name}/hbpcode.h
%{_includedir}/%{name}/hbpers.ch
%{_includedir}/%{name}/hbpp.h
%{_includedir}/%{name}/hbrddcdx.h
%{_includedir}/%{name}/hbrdddbf.h
%{_includedir}/%{name}/hbrdddel.h
%{_includedir}/%{name}/hbrddfpt.h
%{_includedir}/%{name}/hbrddnsx.h
%{_includedir}/%{name}/hbrddntx.h
%{_includedir}/%{name}/hbrddsdf.h
%{_includedir}/%{name}/hbregex.h
%{_includedir}/%{name}/hbscalar.hbx
%{_includedir}/%{name}/hbset.h
%{_includedir}/%{name}/hbsetup.ch
%{_includedir}/%{name}/hbsetup.h
%{_includedir}/%{name}/hbsix.ch
%{_includedir}/%{name}/hbsocket.ch
%{_includedir}/%{name}/hbsocket.h
%{_includedir}/%{name}/hbstack.h
%{_includedir}/%{name}/hbstdgen.ch
%{_includedir}/%{name}/hbstrict.ch
%{_includedir}/%{name}/hbsxdef.ch
%{_includedir}/%{name}/hbsxfunc.h
%{_includedir}/%{name}/hbtask.h
%{_includedir}/%{name}/hbthread.ch
%{_includedir}/%{name}/hbthread.h
%{_includedir}/%{name}/hbtrace.ch
%{_includedir}/%{name}/hbtrace.h
%{_includedir}/%{name}/hbtypes.h
%{_includedir}/%{name}/hbundoc.api
%{_includedir}/%{name}/hbusrrdd.ch
%{_includedir}/%{name}/hbusrrdd.hbx
%{_includedir}/%{name}/hbver.ch
%{_includedir}/%{name}/hbver.h
%{_includedir}/%{name}/hbvm.h
%{_includedir}/%{name}/hbvmint.h
%{_includedir}/%{name}/hbvmopt.h
%{_includedir}/%{name}/hbvmpub.h
%{_includedir}/%{name}/hbwince.h
%{_includedir}/%{name}/hbwinuni.h
%{_includedir}/%{name}/hbxvm.h
%{_includedir}/%{name}/hbzlib.ch
%{_includedir}/%{name}/hbznet.h
%{_includedir}/%{name}/inkey.ch
%{_includedir}/%{name}/item.api
%{_includedir}/%{name}/memoedit.ch
%{_includedir}/%{name}/ord.ch
%{_includedir}/%{name}/rdd.api
%{_includedir}/%{name}/rddsys.ch
%{_includedir}/%{name}/reserved.ch
%{_includedir}/%{name}/set.ch
%{_includedir}/%{name}/setcurs.ch
%{_includedir}/%{name}/simpleio.ch
%{_includedir}/%{name}/std.ch
%{_includedir}/%{name}/tbrowse.ch
%{_includedir}/%{name}/vm.api

%if %{defined _with_hbide}
%files hbide
%{_bindir}/hbide
%{_datadir}/applications/hbide.desktop
%{_iconsdir}/hbide.png
%endif

%files -n %{libharbour}
%{_libdir}/libharbour.so*

%files -n %{libcontrib}
%{_libdir}/libxhb.so*
%{_libdir}/librddsql.so*
%{_libdir}/libhbblink.so*
%{_libdir}/libhbbz2.so*
%{_libdir}/libhbcomm.so*
%{_libdir}/libhbct.so*
%{_libdir}/libhbexpat.so*
%{_libdir}/libhbformat.so*
%{_libdir}/libhbfoxpro.so*
%{_libdir}/libhbfship.so*
%{_libdir}/libhbgt.so*
%{_libdir}/libhbhpdf.so*
%{_libdir}/libhbhttpd.so*
%{_libdir}/libhblzf.so*
%{_libdir}/libhbmemio.so*
%{_libdir}/libhbmisc.so*
%{_libdir}/libhbmlzo.so*
%{_libdir}/libhbmxml.so*
%{_libdir}/libhbmzip.so*
%{_libdir}/libhbnetio.so*
%{_libdir}/libhbnf.so*
%{_libdir}/libhbsms.so*
%{_libdir}/libhbsqlit3.so*
%{_libdir}/libhbssl.so*
%{_libdir}/libhbtip.so*
%{_libdir}/libhbtpathy.so*
%{_libdir}/libhbunix.so*
%{_libdir}/libhbxpp.so*
%{_libdir}/libhbzebra.so*
%{_libdir}/libminilzo.so*
%{_libdir}/librddbm.so*
%{_libdir}/libhbziparc.so*
%{_libdir}/libsddsqlt3.so*
%{_libdir}/libhbamf.so*
%{_libdir}/libhboslib.so*
%{_libdir}/libhbtest.so*
%{_libdir}/libhbtinymt.so*
%{_libdir}/libhbxdiff.so*

%if %{defined _with_allegro}
%files -n %{liballegro}
%{_libdir}/libgtalleg.so*
%endif

%if %{defined _with_cairo}
%files -n %{libcairo}
%{_libdir}/libhbcairo.so*
%endif

%if %{defined _with_cups}
%files -n %{libcups}
%{_libdir}/libhbcups.so*
%endif

%if %{defined _with_curl}
%files -n %{libcurl}
%{_libdir}/libhbcurl.so*
%endif

%if %{defined _with_firebird}
%files -n %{libfirebird}
%{_libdir}/libhbfbird.so*
%{_libdir}/libsddfb.so*
%endif

%if %{defined _with_freeimage}
%files -n %{libfreeimage}
%{_libdir}/libhbfimage.so*
%endif

%if %{defined _with_gd}
%files -n %{libgd}
%{_libdir}/libhbgd.so*
%endif

%if %{defined _with_mysql}
%files -n %{libmysql}
%{_libdir}/libhbmysql.so*
%{_libdir}/libsddmy.so*
%endif

%if %{defined _with_odbc}
%files -n %{libodbc}
%{_libdir}/libhbodbc.so*
%{_libdir}/libsddodbc.so*
%endif

%if %{defined _with_pgsql}
%files -n %{libpgsql}
%{_libdir}/libhbpgsql.so*
%{_libdir}/libsddpg.so*
%endif

%if %{defined _with_qt}
%files -n %{libqt}
%{_libdir}/libhbqtcore.so*
%{_libdir}/libhbqtdesigner.so*
%{_libdir}/libhbqtgui.so*
%{_libdir}/libhbqtnetwork.so*
%{_libdir}/libhbqtwebkit.so*
%{_libdir}/libhbxbp.so*
%{_includedir}/%{name}/appevent.ch
%{_includedir}/%{name}/gra.ch
%{_includedir}/%{name}/hbqt*.ch
%{_includedir}/%{name}/hbqt*.hbx
%{_includedir}/%{name}/hbxbp.hbx
%{_includedir}/%{name}/xbp.ch
%{_includedir}/%{name}/xbpdev.ch
%endif


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-0.18748_111.2.mga3
+ Revision: 353095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 barjac <barjac> 3.2.0-0.18748_111.1.mga3
+ Revision: 333714
- new snapshot
- dynamic build
- changed tarball structure
- added bundle package suggesting all contribs and IDE to ease installation

* Tue Oct 09 2012 barjac <barjac> 3.2.0-0.18272.28.mga3
+ Revision: 304031
- new snapshot
- script hb_mk_tar to build tarball from Harbour core svn and qtcontribs svn
- sorted large file lists alphabetically to ease searching
- removed one patch fixed upstream and updated one other

* Wed Oct 03 2012 barjac <barjac> 3.0.0-7.mga3
+ Revision: 302334
- changed defines handling for clarity
- more spec cleaning
- fix folder incorrectly owned by sub-packages
- fix typo in qt lib name and obsolete old one
- more spec cleaning
- added require on base package in hbide package

* Sat Sep 15 2012 barjac <barjac> 3.0.0-5.mga3
+ Revision: 294033
- moved all static libs to static-devel rpms
- obsoleted original contrib packages with static libs
- added freeimage
- more spec cleaning

* Wed Sep 05 2012 barjac <barjac> 3.0.0-4.mga3
+ Revision: 288671
- Fix missing dir

* Wed Sep 05 2012 barjac <barjac> 3.0.0-3.mga3
+ Revision: 288606
- added hbide sub package with desktop file
- corrected doc directory location
- added examples and tests directories
- removed ads sections as we cant distribute ads
- added sub package harbour-pgsql

* Mon Sep 03 2012 barjac <barjac> 3.0.0-1.mga3
+ Revision: 287775
- Corrected sub package groups
- imported package harbour

